<?php

/**
 * Implements hook_form_FORM_ID_alter().
 *
 * @param $form
 *   The form.
 * @param $form_state
 *   The form state.
 */
function prius_form_system_theme_settings_alter(&$form, &$form_state) {

  /*
   * Styles and Scripts
   */
  $form['styles_scripts'] = array(
    '#type' => 'fieldset',
    '#title' => t('Styles and Scripts'),
    '#collapsible' => TRUE,
  );

  $form['styles_scripts']['disable_base_css'] = array(
    '#type' => 'checkbox',
    '#title' => t('Disable Base Theme CSS'),
    '#description' => t('Disabling the base theme CSS is useful for using SASS in a sub-theme.<br><strong>If you select this option, uncomment the relevant CSS includes in your sub-theme\'s .info file.</strong>'),
    '#default_value' => theme_get_setting('disable_base_css', 'prius'),
  );

  $form['styles_scripts']['disable_base_js'] = array(
    '#type' => 'checkbox',
    '#title' => t('Disable Base Theme JavaScript'),
    '#description' => t('Disabling the base theme JavaScript when using a sub-theme is also recommended for more flexibility over which components get included.<br><strong>If you select this option, uncomment the relevant JS includes in your sub-theme\'s .info file.</strong>'),
    '#default_value' => theme_get_setting('disable_base_js', 'prius'),
  );
}
